Subject: [ipwave] Fwd: Re: [6lo] Call for adoption of draft-wachter-6lo-can-00 by 6Lo WG

From: Alexandre Petrescu <[email-masked]>
Date: Mon, 21 Oct 2019 15:56:53 +0200

fyi

-------- Message transféré --------
Sujet : Re: [6lo] Call for adoption of draft-wachter-6lo-can-00 by 6Lo WG
Date : Mon, 21 Oct 2019 15:56:00 +0200
De : Alexandre Petrescu <[email-masked]>
Pour : [email-masked]

Hi,

Might be appropriate to run this through the IPWAVE WG, too.

One question that comes to mind is how to make sure that the QoS of an 
IP packet on 802.11-OCB (wireless outside the car) is mapped to the 
right QoS of an IP packet on CAN inside the car.  This would help to 
send an IP packet from a Remote Controller straight into the brake of 
the car, with the appropriate priority and given the necessary credentials.

I want to ask you whether the CAN has a notion of CAN address and if 
yes, on how many bits is it represented (16?)?  This might help in 
thinking about how to form an Interface ID to be used with SLAAC on CAN. 
   One may think that should be 64bit, but I think not necessarily.

I want to ask you whether you think that the end to end principle is a 
good thing for the Internet, and if yes, whether Ethernet Border 
Translators might have an impact on that principle.

Yours,

Alex

Le 17/10/2019 à 17:25, Alexander Wachter a écrit :
> Dear 6Lo WG,
> 
> I recently submitted a draft for IPv6 over Controller Area Network and 
> would like to call for adoption by the 6Lo WG.
> The title of the document is draft-wachter-6lo-can-00 [1].
> 
> Controller Area Network (CAN) is a widely used field bus initially 
> designed for the automotive domain. It has a payload length of eight 
> bytes for classic CAN and 64 bytes for CAN-FD. CAN only describes the 
> data-link-layer, but various protocols already exist on top. The 
> submitted draft introduces IPv6 over CAN (6LoCAN),  a 6lo-adaption-layer 
> to send IPv6 packets over the constrained CAN-bus. 6LoCAN uses a subset 
> of the already widely used ISO-TP standard for fragmentation and 
> reassembly to meet the 1280 minimum MTU requirement of IPv6. It also 
> uses the IPHC (RFC6282) to reduce the protocol overhead of IPv6.
> 
> A broad range of devices, from small and cheap MCUs to big application 
> processors, already have CAN controllers onboard. With 6LoCAN, it is 
> possible to create networks of resource-constrained MCUs that can 
> leverage the broad range of protocols and security mechanisms built on 
> top of the IP.
> Additionally, multiple 6LoCAN networks can be connected together or even 
> to the internet by utilizing the routing capabilities of IP networks.
> 
> A reference implementation of 6LoCAN already exists in the mainline 
> Zephyrproject RTOS [2] tree. It includes a sample server-client 
> application. The source for it is located under [3] and can be used on 
> any boards supporting CAN.
> 
> I am looking forward to your comments on the draft.
> 
> Kind regards,
> Alexander
> 
> [1] https://datatracker.ietf.org/doc/draft-wachter-6lo-can/
> [2] https://www.zephyrproject.org/
> [3] 
> https://github.com/zephyrproject-rtos/zephyr/tree/master/samples/net/sockets/echo_client 
> 
> 

_______________________________________________
6lo mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lo